Bug 147864 - Platform node in project's logical view
Platform node in project's logical view
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Platform
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 12:53 UTC by Martin Krauskopf
Modified: 2009-06-09 12:23 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2008-09-22 12:53:20 UTC
Might be, combined with the loadpath node(s). Might be loadpath node(s) separately. To be considered.
Comment 1 Martin Krauskopf 2008-10-16 14:43:37 UTC
Changeset: #ceeaab5c1e15

Initial platform node for the Ruby projects. No context menu so far. Just the visual clue what the platform project uses
and listening part.

- unification of some code (subsequently will get rid of duplicated code)
- possibility to listen on project's platform change 
Comment 2 Martin Krauskopf 2008-10-20 11:40:30 UTC
Progress: #5a33d89002ab

Ability to easily change the project's platform from platform node's context menu. 
Comment 3 Quality Engineering 2008-11-04 16:24:19 UTC
Integrated into 'main-golden', will be available in build *200811041401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cb6eb150ebf0
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: "Manage RubyGems..." action for Platform node (part of issue #147864)
Comment 4 Erno Mononen 2009-06-09 12:23:57 UTC
I consider this implemented now, no nodes for the load path, but there are nodes for gems instead. Could be enhanced 
with gem management from the nodes directly, but will handle that as a separate issue.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo